Index: build_tools/conda/bumps/meta.yaml
===================================================================
--- build_tools/conda/bumps/meta.yaml	(revision b75079b1f3e2b82ae67998e5bc86b1f0a3f93147)
+++ build_tools/conda/bumps/meta.yaml	(revision 243fbc08b5507d76300536ef5949cadf6da173c0)
@@ -1,9 +1,9 @@
 package:
   name: bumps
-  version: !!str 0.7.5.4
+  version: !!str 0.7.5.9
 
 source:
-  fn: bumps-0.7.5.4.tar.gz
-  url: https://pypi.python.org/packages/source/b/bumps/bumps-0.7.5.4.tar.gz
+  fn: bumps-0.7.5.9.tar.gz
+  url: https://pypi.python.org/packages/source/b/bumps/bumps-0.7.5.9.tar.gz
   md5: a47c035fbb18afa5ca53067506a5ff1c
 #  patches:
Index: build_tools/jenkins_linux_build.sh
===================================================================
--- build_tools/jenkins_linux_build.sh	(revision 9d5427ffb9d26e295c95861a09db5c7572c4d692)
+++ build_tools/jenkins_linux_build.sh	(revision 243fbc08b5507d76300536ef5949cadf6da173c0)
@@ -15,5 +15,5 @@
 rm -rf build
 
-"$EASY_INSTALL" -d "$WORKSPACE/utils" bumps==0.7.5.6
+"$EASY_INSTALL" -d "$WORKSPACE/utils" bumps==0.7.5.9
 "$EASY_INSTALL" -d "$WORKSPACE/utils" periodictable==1.3.0
 
Index: build_tools/jenkins_linux_build_ver02.sh
===================================================================
--- build_tools/jenkins_linux_build_ver02.sh	(revision 22c1f1c4c3d370b610d2b0d80ad846f505e67a9a)
+++ build_tools/jenkins_linux_build_ver02.sh	(revision 243fbc08b5507d76300536ef5949cadf6da173c0)
@@ -27,5 +27,5 @@
 
 
-"$EASY_INSTALL" -d "$WORKSPACE/sasview/utils" bumps==0.7.5.6
+"$EASY_INSTALL" -d "$WORKSPACE/sasview/utils" bumps==0.7.5.9
 "$EASY_INSTALL" -d "$WORKSPACE/sasview/utils" periodictable==1.3.0
 
Index: build_tools/jenkins_rhel6_build.sh
===================================================================
--- build_tools/jenkins_rhel6_build.sh	(revision 9d5427ffb9d26e295c95861a09db5c7572c4d692)
+++ build_tools/jenkins_rhel6_build.sh	(revision 243fbc08b5507d76300536ef5949cadf6da173c0)
@@ -28,5 +28,5 @@
 "$EASY_INSTALL" -d "$WORKSPACE/utils" lxml
 "$EASY_INSTALL" -d "$WORKSPACE/utils" pyparsing==1.5.5
-"$EASY_INSTALL" -d "$WORKSPACE/utils" bumps==0.7.5.6
+"$EASY_INSTALL" -d "$WORKSPACE/utils" bumps==0.7.5.9
 "$EASY_INSTALL" -d "$WORKSPACE/utils" periodictable==1.3.0
 python deps.py
Index: build_tools/jenkins_win32_build.bat
===================================================================
--- build_tools/jenkins_win32_build.bat	(revision 9d5427ffb9d26e295c95861a09db5c7572c4d692)
+++ build_tools/jenkins_win32_build.bat	(revision 243fbc08b5507d76300536ef5949cadf6da173c0)
@@ -16,5 +16,5 @@
 RD /S /Q build
 
-rem %PYTHON% -m pip install -t ../sasview-install --no-deps bumps=0.7.5.6
+rem %PYTHON% -m pip install -t ../sasview-install --no-deps bumps=0.7.5.9
 rem PYTHON% -m pip install -t ../sasview-install --no-deps periodictable=1.3.0
 rem %PYTHON% -m pip install -t ../sasview-install --no-deps pyparsing=1.5.5
Index: build_tools/jenkins_win32_py27_build.bat
===================================================================
--- build_tools/jenkins_win32_py27_build.bat	(revision 9d5427ffb9d26e295c95861a09db5c7572c4d692)
+++ build_tools/jenkins_win32_py27_build.bat	(revision 243fbc08b5507d76300536ef5949cadf6da173c0)
@@ -16,5 +16,5 @@
 RD /S /Q build
 
-rem %PYTHON% -m pip install -t ../sansview-install --no-deps bumps=0.7.5.6
+rem %PYTHON% -m pip install -t ../sansview-install --no-deps bumps=0.7.5.9
 rem PYTHON% -m pip install -t ../sansview-install --no-deps periodictable=1.3.0
 rem %PYTHON% -m pip install -t ../sansview-install --no-deps pyparsing=1.5.5
Index: build_tools/requirements.txt
===================================================================
--- build_tools/requirements.txt	(revision a985c939fdcccbb9fb5cc1d3d59d85040091c60a)
+++ build_tools/requirements.txt	(revision 243fbc08b5507d76300536ef5949cadf6da173c0)
@@ -9,5 +9,5 @@
 PIL==1.1.7
 periodictable==1.3.0
-bumps==0.7.5.5
+bumps==0.7.5.9
 # numpy==1.6.1
 # scipy==0.10.1
Index: check_packages.py
===================================================================
--- check_packages.py	(revision 4188da8e555868554a89d3c28e3626f84966c54a)
+++ check_packages.py	(revision 243fbc08b5507d76300536ef5949cadf6da173c0)
@@ -19,5 +19,5 @@
     'pylint':{'version':None,'import_name':'pylint','test':None},
     'periodictable':{'version':'1.3.0','import_name':'periodictable','test':'__version__'},
-    'bumps':{'version':'0.7.5.8','import_name':'bumps','test':'__version__'},
+    'bumps':{'version':'0.7.5.9','import_name':'bumps','test':'__version__'},
     'numpy':{'version':'1.6.1','import_name':'numpy','test':'__version__'},
     'scipy':{'version':'0.10.1','import_name':'scipy','test':'__version__'},
Index: sasview/README.txt
===================================================================
--- sasview/README.txt	(revision fa4ea808f1342dfede47c6cd27036337068959a1)
+++ sasview/README.txt	(revision 243fbc08b5507d76300536ef5949cadf6da173c0)
@@ -343,5 +343,5 @@
             - unittest-xml-reporting 1.12.0 (MAC 1.10.0)
             - matplotlib Version Installed: 1.4.3 (MAC 1.1.1)
-            - bumps Version Installed: 0.7.5.6
+            - bumps Version Installed: 0.7.5.9
             - scipy Version Installed: 0.16.0b2 (MAC 0.11.0)
             - periodictable Version Installed: 1.4.1
Index: setup.py
===================================================================
--- setup.py	(revision c8843bed742f7ad8f7d391a1aba41a25759cd009)
+++ setup.py	(revision 243fbc08b5507d76300536ef5949cadf6da173c0)
@@ -309,5 +309,5 @@
 
 required = [
-    'bumps>=0.7.5.6', 'periodictable>=1.3.1', 'pyparsing<2.0.0',
+    'bumps>=0.7.5.9', 'periodictable>=1.3.1', 'pyparsing<2.0.0',
 
     # 'lxml>=2.2.2',
Index: src/sas/sasgui/perspectives/fitting/fitting.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitting.py	(revision 05228b001b88187176fb9a2d1bfd9098273fb854)
+++ src/sas/sasgui/perspectives/fitting/fitting.py	(revision 243fbc08b5507d76300536ef5949cadf6da173c0)
@@ -61,4 +61,5 @@
     from bumps.gui.fit_dialog import EVT_FITTER_CHANGED
 except ImportError:
+    # CRUFT: bumps 0.7.5.8 and below
     EVT_FITTER_CHANGED = None  # type: wx.PyCommandEvent
 
@@ -507,4 +508,5 @@
         self.parent.Bind(EVT_SLICER_PARS_UPDATE, self._onEVT_SLICER_PANEL)
 
+        # CRUFT: EVT_FITTER_CHANGED is not None for bumps 0.7.5.9 and above
         if EVT_FITTER_CHANGED is not None:
             self.parent.Bind(EVT_FITTER_CHANGED, self.on_fitter_changed)
